List Model API versions
Lists the Model API Versions for a Model API.
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"commitId": "<string>",
"dataPlaneId": "<string>",
"environmentRevisionId": "<string>",
"id": "<string>",
"labels": [
"<string>"
],
"logHttpRequestResponse": true,
"metadata": {
"created": 123,
"createdBy": "<string>",
"summary": "<string>"
},
"modelApiId": "<string>",
"monitoringEnabled": true,
"projectId": "<string>",
"recordInvocation": true,
"source": {
"type": "File",
"excludeFiles": [
"<string>"
],
"file": "<string>",
"function": "<string>",
"registeredModelName": "<string>",
"registeredModelVersion": 123
},
"bundleId": "<string>",
"deployment": {
"isPending": true,
"status": "<string>"
},
"description": "<string>",
"number": 123,
"predictionDatasetResourceId": "<string>",
"provenanceCheckpointId": "<string>"
}
]Authorizations
Path Parameters
The id of the Model API to list the versions for.
Response
The list of Model API Versions for the given Model API.
The id of the commit of the Model API Version.
The id of the data plane the Model API Version is deployed to.
The id of the environment revision the Model API Version is deployed on.
The id of the Model API Version.
The labels of the Model API Version.
Whether the Model API Version should log the HTTP requests and responses.
Show child attributes
Show child attributes
The id of the Model API the version belongs to.
Whether monitoring is enabled for the Mode API Version.
The id of the project the Model API Version belongs to.
Whether the Model API Version should record invocations.
Show child attributes
Show child attributes
The ID of the bundle governing the model API to create.
^[0-9a-f]{24}$Show child attributes
Show child attributes
The description of the Model API Version.
The version number of the Model API Version.
The id of the prediction dataset used by the Model API Version.
The id of the provenance checkpoint of the Model API Version.
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"commitId": "<string>",
"dataPlaneId": "<string>",
"environmentRevisionId": "<string>",
"id": "<string>",
"labels": [
"<string>"
],
"logHttpRequestResponse": true,
"metadata": {
"created": 123,
"createdBy": "<string>",
"summary": "<string>"
},
"modelApiId": "<string>",
"monitoringEnabled": true,
"projectId": "<string>",
"recordInvocation": true,
"source": {
"type": "File",
"excludeFiles": [
"<string>"
],
"file": "<string>",
"function": "<string>",
"registeredModelName": "<string>",
"registeredModelVersion": 123
},
"bundleId": "<string>",
"deployment": {
"isPending": true,
"status": "<string>"
},
"description": "<string>",
"number": 123,
"predictionDatasetResourceId": "<string>",
"provenanceCheckpointId": "<string>"
}
]